Page MenuHomePhabricator

Service: Image gallery must correspond one-to-one with images displayed on page (in order and visibility).
Closed, ResolvedPublic

Description

Expected:
When using gallery view, the order of the images in the gallery is the same as the order of the images in the article

Actual:

Add image ordering to apps content service, and use it in image gallery, so that images are always in order in the gallery.
Probably need to break up division of videos and images in the media object.

Event Timeline

Deskana created this task.Jan 15 2015, 8:02 PM
Deskana raised the priority of this task from to Needs Triage.
Deskana updated the task description. (Show Details)
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 8:02 PM
Dbrant added a subscriber: Dbrant.Jan 15 2015, 8:27 PM

Hmm, we're displaying the images in the order that the API gives to us. Ideally the API should return them in the correct order. (I'd like to avoid resorting to scrape the HTML for the correct order of the images)

@Deskana do you know who we should escalate this to? Looks like an API problem, not necessarily an app problem.

Deskana renamed this task from Images are out of order in gallery view to Add image ordering to apps content service, and use it in image gallery, so that images are always in order in the gallery.Mar 16 2015, 9:29 PM
Deskana updated the task description. (Show Details)
Deskana set Security to None.
Deskana added a subscriber: marcoil.

@Dbrant Given how pages are stored I'm not sure there's any way around scraping the HTML. That's essentially what the MultimediaViewer extension is doing on desktop/mobile web (with jQuery):

https://github.com/wikimedia/mediawiki-extensions-MultimediaViewer/blob/master/resources/mmv/mmv.bootstrap.js#L65

Any chance we can raise the priority of this issue? It's like a pretty bad issue.

bearND triaged this task as Normal priority.Aug 12 2015, 2:17 AM
bearND raised the priority of this task from Normal to High.
bearND updated the task description. (Show Details)
bearND renamed this task from Add image ordering to apps content service, and use it in image gallery, so that images are always in order in the gallery to Service: order images and videos by appearance in page.Aug 12 2015, 2:27 AM
bearND lowered the priority of this task from High to Low.Aug 14 2015, 5:12 PM
bearND added a subscriber: bearND.Nov 18 2015, 8:23 PM

Also consider not including images which don't appear on mobile. T114939

Dbrant renamed this task from Service: order images and videos by appearance in page to Service: Image gallery must correspond one-to-one with images displayed on page (in order and visibility)..Dec 10 2015, 6:43 PM
RHo updated the task description. (Show Details)Jul 10 2017, 4:17 PM
Mholloway closed this task as Resolved.Nov 12 2017, 4:34 AM
Mholloway claimed this task.

This will be a feature of the new MCS media endpoint. Resolved by 2d41d9d34a39.